Skip to main content
GET
/
public_treasury
/
{entity_id}
Crypto Treasury Holdings by Entity ID
curl --request GET \
  --url https://api.coingecko.com/api/v3/public_treasury/{entity_id} \
  --header 'x-cg-demo-api-key: <api-key>'
{
  "name": "Strategy",
  "id": "strategy",
  "type": "company",
  "symbol": "MSTR.US",
  "country": "US",
  "website_url": "https://www.strategy.com/",
  "twitter_screen_name": "Strategy",
  "total_treasury_value_usd": 64383151578.86817,
  "unrealized_pnl": 513095879.8681717,
  "m_nav": 1.03,
  "total_asset_value_per_share_usd": 179.74079167746558,
  "holdings": [
    {
      "coin_id": "bitcoin",
      "amount": 843738,
      "percentage_of_total_supply": 4.018,
      "amount_per_share": 0.002355494137353434,
      "entity_value_usd_percentage": 100,
      "current_value_usd": 64383151578.86817,
      "total_entry_value_usd": 63870055699,
      "average_entry_value_usd": 75698.9203982753,
      "unrealized_pnl": 513095879.8681717,
      "holding_amount_change": {
        "7d": 0,
        "14d": 24869,
        "30d": 28677,
        "90d": 126016,
        "1y": 263488,
        "ytd": 171238
      },
      "holding_change_percentage": {
        "7d": 0,
        "14d": 3.037,
        "30d": 3.518,
        "90d": 17.558,
        "1y": 45.409,
        "ytd": 25.463
      }
    }
  ]
}
Equivalent page on CoinGecko Bitcoin Treasuries.

SDK Examples

const response = await client.publicTreasury.getEntityID('strategy');

console.log(JSON.stringify(response, null, 2));

Authorizations

x-cg-demo-api-key
string
header
required

Path Parameters

entity_id
string
default:strategy
required

Public company or government entity ID. *refers to /entities/list.

Query Parameters

holding_amount_change
string

Include holding amount change for specified timeframes, comma-separated if querying more than 1 timeframe. Valid values: 7d, 14d, 30d, 90d, 1y, ytd

holding_change_percentage
string

Include holding change percentage for specified timeframes, comma-separated if querying more than 1 timeframe. Valid values: 7d, 14d, 30d, 90d, 1y, ytd

Response

200 - application/json

Public company or government crypto treasury holdings data

name
string
required

Entity name

id
string
required

Entity ID

type
string
required

Entity type: company or government

symbol
string | null
required

Stock market ticker symbol

country
string
required

Country code

website_url
string
required

Official website URL

twitter_screen_name
string
required

Official Twitter handle

total_treasury_value_usd
number
required

Total current value of all holdings in USD

unrealized_pnl
number
required

Unrealized profit and loss (current value minus total entry value)

m_nav
number
required

Market to net asset value ratio

total_asset_value_per_share_usd
number
required

Total asset value per share in USD

holdings
object[]
required

List of cryptocurrency assets held by the entity